package com.agiledeveloper.caller;

import com.agiledeveloper.user.User;

public class Caller {
  public static void main(String[] args) {
    User user = new User(); // no problem
    
    System.out.println(user);
    
    System.out.println(User.createSpeaker("Bill").getName());
    //The above line will fail compilation. 
    //That's because module-info.java only requires 
    //sample and not agiledeveloper.
    
    //There are two ways to fix this.
    
    //1. Change module-info.java to include requires agiledeveloper;
    
    //The above option is rather undesirable. This can get out of hand, 
    //verbose, tedious, error prone.
    
    //2. Change module-info.jar in the sample project from
    //require agiledeveloper;
    //to
    //require public agiledeveloper;
  }
}